/************************************************************************/
/* fdfuncs.c - fd_t manipulation functions				*/
/************************************************************************/
/*
 *  Copyright 2021-2023 Todd Shadburn <tshadburn@opencomputingsolutions.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/************************************************************************/


#include <stdint.h>
#include <pfm_dns.h>


void fd_entry_init(fd_t *fde,
		dns_conn_type conntype,
		dns_usage_type usagetype,
		void *dataptr)
{
	fde->conntype = conntype;
	fde->usagetype = usagetype;
	fde->ptr.ptr = dataptr;
	fde->in_pb = NULL;
	fde->in_rem = 0;
	fde->out_pb = NULL;
	dlist_init(&fde->out_qhead);
	return;
}


void fd_entry_clear(fd_t *fde)
{
	fde->conntype = 0;
	fde->usagetype = 0;
	fde->ptr.ptr = NULL;
	fde->backend = NULL;
	fde->in_pb = NULL;
	fde->in_rem = 0;
	fde->out_pb = NULL;
	return;
}


